package com.bjtdba.merchant.dao;

import com.bjtdba.entity.merchant.MerchantYx;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * (RrxMerchantYx)表数据库访问层
 *
 * @author makejava
 * @since 2022-08-09 11:55:46
 */
@Repository
@Mapper
public interface MerchantYxDao {


    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    MerchantYx queryById(Integer id);

    /**
     * 通过用户id查询绑定用户
     * @param uid
     * @return
     */
    MerchantYx queryByUid(Integer uid);

    /**
     * 通过音响码查询绑定用户
     * @param sn
     * @return
     */
    MerchantYx queryBySn(String  sn);

    MerchantYx qeryByMerid(Integer merId);

    /**
     * 查询指定行数据
     *
     * @param rrxMerchantYx 查询条件
     * @return 对象列表
     */
    List<MerchantYx> queryAllByLimit(MerchantYx rrxMerchantYx);

    /**
     * 统计总行数
     *
     * @param rrxMerchantYx 查询条件
     * @return 总行数
     */
    long count(MerchantYx rrxMerchantYx);

    /**
     * 新增数据
     *
     * @param rrxMerchantYx 实例对象
     * @return 影响行数
     */
    int insert(MerchantYx rrxMerchantYx);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<RrxMerchantYx> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<MerchantYx> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<RrxMerchantYx> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<MerchantYx> entities);

    /**
     * 修改数据
     *
     * @param rrxMerchantYx 实例对象
     * @return 影响行数
     */
    int update(MerchantYx rrxMerchantYx);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

}

